Package de.willuhn.jameica.hbci.accounts.hbci

# Class HBCIAccountProvider

java.lang.Object
de.willuhn.jameica.hbci.accounts.hbci.HBCIAccountProvider

All Implemented Interfaces:
  `AccountProvider`

@Lifecycle(CONTEXT) public class HBCIAccountProvider extends Object implements AccountProvider
Implementierung des Account-Providers fuer HBCI-Konten.

## Constructor Summary

Constructors
Constructor
Description
`HBCIAccountProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`create()`
Startet den Assistenten zur Erzeugung eines neuen Bankzugangs.
`de.willuhn.jameica.gui.parts.InfoPanel`
`getInfo()`
Liefert ein vorausgefuelltes Info-Panel fuer den Bankzugang.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.
`List<HBCIVariant>`
`getVariants()`
Liefert eine Liste der unterstuetzten HBCI-Verfahren.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIAccountProvider

public HBCIAccountProvider()

## Method Details

### getName

public String getName()
Description copied from interface: `AccountProvider`
Liefert einen sprechenden Namen fuer den Provider.

Specified by:
  `getName` in interface `AccountProvider`
Returns:
  sprechender Name fuer den Provider.

### getInfo

public de.willuhn.jameica.gui.parts.InfoPanel getInfo()
Description copied from interface: `AccountProvider`
Liefert ein vorausgefuelltes Info-Panel fuer den Bankzugang.

Specified by:
  `getInfo` in interface `AccountProvider`
Returns:
  ein vorausgefuelltes Info-Panel fuer den Bankzugang.

### getVariants

public List<HBCIVariant> getVariants()
Liefert eine Liste der unterstuetzten HBCI-Verfahren.

Returns:
  Liste der HBCI-Verfahren.

### create

public void create() throws de.willuhn.util.ApplicationException
Description copied from interface: `AccountProvider`
Startet den Assistenten zur Erzeugung eines neuen Bankzugangs.

Specified by:
  `create` in interface `AccountProvider`
Throws:
  `de.willuhn.util.ApplicationException`